X2Go Bug report logs - #903
Missing dependency for x2goserver rpm on RHEL 7.1

version graph

Package: x2goserver; Maintainer for x2goserver is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goserver is src:x2goserver.

Reported by: Shaheed Haque <srhaque@theiet.org>

Date: Sat, 4 Jul 2015 10:25:02 UTC

Severity: normal

Tags: pending

Found in version 4.0.1.19

Fixed in version 4.0.1.20

Done: X2Go Release Manager <git-admin@x2go.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#903; Package x2goserver. (Sat, 04 Jul 2015 10:25:02 GMT) (full text, mbox, link).


Acknowledgement sent to Shaheed Haque <srhaque@theiet.org>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 04 Jul 2015 10:25:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Shaheed Haque <srhaque@theiet.org>
To: submit@bugs.x2go.org
Subject: Missing dependency for x2goserver rpm on RHEL 7.1
Date: Sat, 4 Jul 2015 11:22:02 +0100
[Message part 1 (text/plain, inline)]
Package: x2goserver
Version:
x2goserver-extensions-4.0.1.19-0.0x2go2.1.git20150608.1064.main.el7.centos.x86_64

Hi,

After installing a "minimal install" RHEL 7.1 system, I installed:

$ rpm -qa | grep x2goserver
x2goserver-extensions-4.0.1.19-0.0x2go2.1.git20150608.1064.main.el7.centos.x86_64
x2goserver-xsession-4.0.1.19-0.0x2go2.1.git20150608.1064.main.el7.centos.x86_64
x2goserver-4.0.1.19-0.0x2go2.1.git20150608.1064.main.el7.centos.x86_64


Only to find that arrow keys, cursor keys were not working. When I tried
x2goserver, it complained about not find the base rule. With a bit of
strace'ing, I found the missing file was /*usr*/*share*/*X11*/*xkb*/*rules*/
*base*.*lst*.

The fix was to install xkeyboard-config-2.9-4.el7.noarch, so this looks
like a missing dependency. Please consider adding this to the RedHat
packages.

Thanks for x2go!

Shaheed
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#903; Package x2goserver. (Sun, 05 Jul 2015 01:30:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sun, 05 Jul 2015 01:30:02 GMT) (full text, mbox, link).


Message #10 received at 903@bugs.x2go.org (full text, mbox, reply):

From: Mihai Moldovan <ionic@ionic.de>
To: Shaheed Haque <srhaque@theiet.org>, 903@bugs.x2go.org
Subject: Re: [X2Go-Dev] Missing dependency for x2goserver rpm on RHEL 7.1
Date: Sun, 5 Jul 2015 03:26:34 +0200
[Message part 1 (text/plain, inline)]
On 04.07.2015 12:22 PM, Shaheed Haque wrote:
> Only to find that arrow keys, cursor keys were not working. When I tried
> x2goserver, it complained about not find the base rule. With a bit of
> strace'ing, I found the missing file was
> //usr///share///X11///xkb///rules///base/./lst/.
> 
> The fix was to install xkeyboard-config-2.9-4.el7.noarch, so this looks like a
> missing dependency. Please consider adding this to the RedHat packages.

Thanks for debugging this!

Depending on xkeyboard-config (RPM) and xkb-data (deb) sounds reasonable.



Mihai

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#903; Package x2goserver. (Sun, 05 Jul 2015 06:50:01 GMT) (full text, mbox, link).


Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sun, 05 Jul 2015 06:50:01 GMT) (full text, mbox, link).


Message #15 received at 903@bugs.x2go.org (full text, mbox, reply):

From: Michael DePaulo <mikedep333@gmail.com>
To: Mihai Moldovan <ionic@ionic.de>, 903@bugs.x2go.org
Cc: Shaheed Haque <srhaque@theiet.org>, Orion Poplawski <orion@cora.nwra.com>
Subject: Re: [X2Go-Dev] Bug#903: Missing dependency for x2goserver rpm on RHEL 7.1
Date: Sun, 5 Jul 2015 02:49:24 -0400
On Sat, Jul 4, 2015 at 9:26 PM, Mihai Moldovan <ionic@ionic.de> wrote:
> On 04.07.2015 12:22 PM, Shaheed Haque wrote:
>> Only to find that arrow keys, cursor keys were not working. When I tried
>> x2goserver, it complained about not find the base rule. With a bit of
>> strace'ing, I found the missing file was
>> //usr///share///X11///xkb///rules///base/./lst/.
>>
>> The fix was to install xkeyboard-config-2.9-4.el7.noarch, so this looks like a
>> missing dependency. Please consider adding this to the RedHat packages.
>
> Thanks for debugging this!
>
> Depending on xkeyboard-config (RPM) and xkb-data (deb) sounds reasonable.

Hi Mihai,

Perhaps we should Mimic Orion's Fedora/EPEL packaging instead?

He has nxagent depend on xkeyboard-config
http://pkgs.fedoraproject.org/cgit/nx-libs.git/tree/nx-libs.spec

-Mike#2


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#903; Package x2goserver. (Sun, 05 Jul 2015 17:45:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sun, 05 Jul 2015 17:45:02 GMT) (full text, mbox, link).


Message #20 received at 903@bugs.x2go.org (full text, mbox, reply):

From: Mihai Moldovan <ionic@ionic.de>
To: Michael DePaulo <mikedep333@gmail.com>, 903@bugs.x2go.org
Cc: Shaheed Haque <srhaque@theiet.org>
Subject: Re: [X2Go-Dev] Missing dependency for x2goserver rpm on RHEL 7.1
Date: Sun, 5 Jul 2015 19:43:09 +0200
[Message part 1 (text/plain, inline)]
On 05.07.2015 08:49 AM, Michael DePaulo wrote:
> On Sat, Jul 4, 2015 at 9:26 PM, Mihai Moldovan <ionic@ionic.de> wrote:
>> On 04.07.2015 12:22 PM, Shaheed Haque wrote:
>>> Only to find that arrow keys, cursor keys were not working. When I tried
>>> x2goserver, it complained about not find the base rule. With a bit of
>>> strace'ing, I found the missing file was
>>> //usr///share///X11///xkb///rules///base/./lst/.
>>>
>>> The fix was to install xkeyboard-config-2.9-4.el7.noarch, so this looks like a
>>> missing dependency. Please consider adding this to the RedHat packages.
>>
>> Thanks for debugging this!
>>
>> Depending on xkeyboard-config (RPM) and xkb-data (deb) sounds reasonable.
> 
> Hi Mihai,
> 
> Perhaps we should Mimic Orion's Fedora/EPEL packaging instead?
> 
> He has nxagent depend on xkeyboard-config
> http://pkgs.fedoraproject.org/cgit/nx-libs.git/tree/nx-libs.spec

Yeah, and here we come to the fabulous decision of what package should actually
sanely depend on what other package.

Currently, we do not depend on X11 packages in nx-libs (but a select amount of
-dev packages on Debian as build requirements.)

Contrary to that, x2goserver already does depend on X11 packages.

Where does depending on xkeyboard-config make most sense? nxagent itself doesn't
really depend on it - it's working "fine" without that package, maybe with
limitations as presented in this bug report.

Luckily, xkeyboard-config (or xkb-data) has no dependencies, so it doesn't add
any other cruft.

Still, I think (and have also thought about that yesterday) that it's more
appropriate to depend on it in x2goserver instead of nxagent.



Mihai

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#903; Package x2goserver. (Sun, 05 Jul 2015 17:55:02 GMT) (full text, mbox, link).


Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sun, 05 Jul 2015 17:55:02 GMT) (full text, mbox, link).


Message #25 received at 903@bugs.x2go.org (full text, mbox, reply):

From: Michael DePaulo <mikedep333@gmail.com>
To: Mihai Moldovan <ionic@ionic.de>
Cc: 903@bugs.x2go.org, Shaheed Haque <srhaque@theiet.org>
Subject: Re: [X2Go-Dev] Missing dependency for x2goserver rpm on RHEL 7.1
Date: Sun, 5 Jul 2015 13:50:25 -0400
On Sun, Jul 5, 2015 at 1:43 PM, Mihai Moldovan <ionic@ionic.de> wrote:
> On 05.07.2015 08:49 AM, Michael DePaulo wrote:
>> On Sat, Jul 4, 2015 at 9:26 PM, Mihai Moldovan <ionic@ionic.de> wrote:
>>> On 04.07.2015 12:22 PM, Shaheed Haque wrote:
>>>> Only to find that arrow keys, cursor keys were not working. When I tried
>>>> x2goserver, it complained about not find the base rule. With a bit of
>>>> strace'ing, I found the missing file was
>>>> //usr///share///X11///xkb///rules///base/./lst/.
>>>>
>>>> The fix was to install xkeyboard-config-2.9-4.el7.noarch, so this looks like a
>>>> missing dependency. Please consider adding this to the RedHat packages.
>>>
>>> Thanks for debugging this!
>>>
>>> Depending on xkeyboard-config (RPM) and xkb-data (deb) sounds reasonable.
>>
>> Hi Mihai,
>>
>> Perhaps we should Mimic Orion's Fedora/EPEL packaging instead?
>>
>> He has nxagent depend on xkeyboard-config
>> http://pkgs.fedoraproject.org/cgit/nx-libs.git/tree/nx-libs.spec
>
> Yeah, and here we come to the fabulous decision of what package should actually
> sanely depend on what other package.
>
> Currently, we do not depend on X11 packages in nx-libs (but a select amount of
> -dev packages on Debian as build requirements.)
>
> Contrary to that, x2goserver already does depend on X11 packages.
>
> Where does depending on xkeyboard-config make most sense? nxagent itself doesn't
> really depend on it - it's working "fine" without that package, maybe with
> limitations as presented in this bug report.
>
> Luckily, xkeyboard-config (or xkb-data) has no dependencies, so it doesn't add
> any other cruft.
>
> Still, I think (and have also thought about that yesterday) that it's more
> appropriate to depend on it in x2goserver instead of nxagent.
>
>
>
> Mihai
>

Because RPM (prior to 4.12) lacks weak dependencies, that makes sense.

But for dpkg, I recommend adding it to either "recommends" or
"suggests" for nxagent, and adding it to "depends" for x2goserver.

-Mike


Marked as found in versions 4.0.1.19. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Fri, 17 Jul 2015 16:20:02 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#903; Package x2goserver. (Fri, 17 Jul 2015 16:25:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 17 Jul 2015 16:25:02 GMT) (full text, mbox, link).


Message #32 received at 903@bugs.x2go.org (full text, mbox, reply):

From: Mihai Moldovan <ionic@ionic.de>
To: 903-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 903@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as pending for release
Date: Fri, 17 Jul 2015 18:22:46 +0200 (CEST)
tag #903 pending
fixed #903 4.0.1.20
thanks

Hello,

X2Go issue #903 (src:x2goserver) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=ec11a3c

The issue will most likely be fixed in src:x2goserver (4.0.1.20).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit ec11a3c2894d67c5e350e7fedf43cce8dc8dc648
Author: Mihai Moldovan <ionic@ionic.de>
Date:   Fri Jul 17 18:01:16 2015 +0200

    x2goserver.spec: add new dependency on xkeyboard-config to x2goserver. Fixes: #903.

diff --git a/debian/changelog b/debian/changelog
index e7a235a..0018877 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -74,6 +74,7 @@ x2goserver (4.0.1.20-0x2go1) UNRELEASED; urgency=low
     - Add shadow/shadow-utils/pwdutils Requires to x2goserver-printing
       sub package.
     - Add new dependency on bash.
+    - Add new dependency on xkeyboard-config to x2goserver. Fixes: #903.
   * debian/control:
     - Add new dependency on bash.
     - Add new dependency on xkb-data to x2goserver.


Added tag(s) pending. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Fri, 17 Jul 2015 16:25:02 GMT) (full text, mbox, link).


Marked as fixed in versions 4.0.1.20. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Fri, 17 Jul 2015 16:25:02 GMT) (full text, mbox, link).


Message sent on to Shaheed Haque <srhaque@theiet.org>:
Bug#903. (Fri, 17 Jul 2015 16:25:03 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#903; Package x2goserver. (Sun, 20 Nov 2016 16:50:02 GMT) (full text, mbox, link).


Acknowledgement sent to X2Go Release Manager <git-admin@x2go.org>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sun, 20 Nov 2016 16:50:02 GMT) (full text, mbox, link).


Message #44 received at 903@bugs.x2go.org (full text, mbox, reply):

From: X2Go Release Manager <git-admin@x2go.org>
To: 903-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 903@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as closed
Date: Sun, 20 Nov 2016 12:42:59 +0100 (CET)
close #903
thanks

Hello,

we are very hopeful that X2Go issue #903 reported by you
has been resolved in the new release (4.0.1.20) of the
X2Go source project »src:x2goserver«.

You can view the complete changelog entry of src:x2goserver (4.0.1.20)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goserver.

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=71e1e82d82acc718da71301d2fbd67eb0a71ad44;hp=8a494e794402c1b124d861893d649726a9016eb7

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goserver.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goserver
Version: 4.0.1.20-0x2go1
Status: RELEASE
Date: Sun, 20 Nov 2016 12:39:36 +0100
Fixes: 799 812 888 889 903 922 923 985 1065 1068 1073
Changes: 
 x2goserver (4.0.1.20-0x2go1) RELEASED; urgency=low
 .
   [ Mike DePaulo ]
   * New upstream version (4.0.1.20):
     - TERMINAL Session: Add support for qterminal
       (Lightweight terminal emulator written in Qt)
     - TRINITY: Add support for Q4OS
 .
   [ Mihai Moldovan ]
   * New upstream version (4.0.1.20):
     - x2goserver/bin/x2gogetapps: respect NoDisplay and Hidden values, don't
       parse the full desktop file if there are non-Desktop Entries groups.
       Based on a patch submitted by Jason Alavaliant. Fixes: #812.
     - x2goserver/bin/x2gogetapps: do not print spurious newlines.
     - Change string "X2go" to "X2Go" where appropriate.
     - Add runcommand.d hooks to x2goserver-extensions Makefile.
     - x2goserver/bin/x2gosessionlimit: don't iterate over the whole groups
       file. Only check the primary and secondary groups as returned by
       getgid()/getgroups(). Fixes long delays in session startup on machines
       with a gazillion of groups.
     - x2goserver/sbin/x2gocleansessions: re-fetch the current sessions' status
       before handling it. Using the "cached" value from the initial
       x2golistsessions run may be desynchronized with the actual current
       value. Avoids a race condition logging users out after they attached to a
       session.
     - x2goserver/sbin/x2gocleansessions: rename %remembered_sessions_since to
       %remembered_sessions_status_since. That's what it really is. Add
       comments to further clarify what it's actually doing. Change it to
       include a timestamp instead of the "iteration count multiplied by two"
       value. Compare timestamps to see if killing hanging nxagent processes is
       necessary.
     - x2goserver/sbin/x2gocleansessions: rename
       %remembered_sessions_status_since to
       %remembered_sessions_status_since_time. Add
       %remembered_sessions_status_since_iterations that will come in handy for
       the next change.
     - x2goserver/sbin/x2gocleansessions: give suspended-but-running sessions a
       grace period of one iteration. Fixes: #888.
     - x2goserver/sbin/x2gocleansessions: fix ugly missing whitespace.
     - x2goserver/sbin/x2gocleansessions: move up session status sync a bit,
       don't update session state when session has been removed from the
       database.
     - x2goserver/sbin/x2gocleansessions: unify log messages. Move dangling
       line around.
     - x2goserver/sbin/x2gocleansessions: whitespace only.
     - x2goserver/sbin/x2gocleansessions: also delete entries in the other,
       overlooked hashes.
     - x2goserver/sbin/x2gocleansessions: move socket and lock file cleanup
       into time-based block for finished/failed sessions.
     - x2goserver/sbin/x2gocleansessions: add @remembered_finished_sessions
       array. Merge with session list as queried from the database (won't
       include finished/failed sessions) and remember F-state sessions via this
       array. Only delete elements once work on these has been finished.
     - x2goserver/sbin/x2gocleansessions: don't add failed/finished sessions to
       remembered list if that list already includes them.
     - x2goserver/sbin/x2gocleansessions: don't use gmtime (time ()) but merely
       time (). The former one returns a formatted date-time string, which
       can't be checked by forming a difference. The latter one returns an UNIX
       timestamp, which is what we really want... minus leap seconds. Let's
       hope this doesn't bite back some time or later...
     - x2goserver/sbin/x2gocleansessions: add debugging output to show the
       state change when updating the cached state result.
     - x2goserver/sbin/x2gocleansessions: only output status refreshing debug
       message if the old and new states actually differ. Prevents log spam.
     - x2goserver/bin/x2gostartagent: changes to Robert Nowotny's SSH_PORT
       patch. Fixes: #922. Use default outgoing interface to determine IP
       address. Use the whole range of ${RANDOM}'s pool. Seed it for good
       measure. Change the default method to randomization instead of IP-based
       initialization. If IP-based initialization was requested but the default
       outgoing IP address unavailable, fall back to randomization.
     - x2goserver/bin/x2goruncommand: whitespace and comment changes only.
     - x2goserver/bin/x2gocleansessions: replace system_capture_stdout_output()
       with actual implementation. We don't have that function on the release
       branch.
     - x2goserver-xsession/etc/Xsession: use /bin/bash explicitly on RedHat-,
       Gentoo- and SuSE-based systems. Users might change /bin/sh to point to a
       shell like mksh or dash, which do not support the -l or -c flags to
       exec. C.f., BGO #575022 (Gentoo.)
     - x2goserver/bin/x2gomountdirs: remove blowfish Cipher spec hardcoded for
       sshfs mounts. The speed improvement is probably mostly an illusion
       (unless talking about high-bandwidth links) and more importantly recent
       OpenSSH server versions seem to disable the Blowfish cipher by default,
       leading to errors like "Connection reset by peer."
     - x2goserver/bin/x2goruncommand: whitespace only.
     - x2goserver/sbin/x2gocleansessions: add Perl documentation and --help,
       -h, -? and --man options. Fixes: #1065. Also print a usage message on
       unknown options.
     - x2goserver/man/man8/x2gocleansessions.8: drop obsolete man page.
     - x2goserver-xsession/etc/Xsession: fix uname calls when (potentially)
       creating session log/error file and add uname call where necessary.
     - x2goserver-xsession/etc/Xsession: include hostname in
       xsession-x2go-errors file name. Part of #923.
     - x2goserver-xsession/etc/Xsession: rotate old log/error file before
       appending new data. Fixes: #923.
     - x2goserver-xsession/etc/Xsession: fix wrong variable usage.
       Fixes: #1073.
     - x2goserver/sbin/x2gocleansessions: move in-file POD to end of file,
       rather than "commenting" out all the remaining code. Fixes: #1068.
     - x2goserver/sbin/x2godbadmin: exit earlier when not finding the required
       "x2gouser" user.
   * x2goserver.spec:
     - Add sudo and logcheck as BuildRequires and Requires. Don't own
       directories that are owned by sudo and logcheck. Logcheck is not
       available on *SUSE, FC < 20 and RHEL, so for those distros still own the
       directories.
     - Typo fix in comment: Recommands -> Recommends.
     - Fix installation on OpenSUSE 12.3 and higher: has replaced pwdutils with
       shadow. Also affects SLE{S,D} 12.
     - Add workaround documentation for sudoers on *SUSE 11.
     - Add shadow/shadow-utils/pwdutils Requires to x2goserver-printing
       sub package.
     - Add new dependency on bash.
     - Add new dependency on xkeyboard-config to x2goserver. Fixes: #903.
     - Add new dependency on perl and the Cwd module to x2goserver-xsession.
       Part of #923.
   * debian/control:
     - Add new dependency on bash.
     - Add new dependency on xkb-data to x2goserver.
     - Maintainer change in package: X2Go Developers <x2go-dev@lists.x2go.org>.
     - Uploaders: add myself. Also, force a rebuild due to the changed
       versioning.
     - Add new dependency on perl-modules for Cwd. Part of #923.
 .
   [ Henning Heinold ]
   * New upstream version (4.0.1.20):
     - x2goserver/sbin/x2godbadmin: remove trailing whitespace.
     - x2goserver/sbin/x2godbadmin: revoke all PRIVILEGES before trying to
       delete a user on postgres. Fixes: #889.
 .
   [ Mike Gabriel ]
   * debian/x2goserver.preinst:
     + Use proper comment header explaining about preinst script argument
       calls (not postinst).
 .
   [ Robert Nowotny ]
   * New upstream version (4.0.1.20):
     - x2goserver/bin/x2gostartagent: original patch for SSH_PORT
       randomization/IP-based initialization. Submitted as #922.
 .
   [ Stefan Baur ]
   * New upstream version (4.0.1.20):
     - x2goserver/bin/x2goruncommand: add the other trinity launcher scripts in
       order from newest to oldest. Fixes: #985.
 .
   [ Tor Perkins ]
   * New upstream version (4.0.1.20):
     - x2goserver/bin/x2goruncommand: capture x2goruncommand debug output for
       x2gofeature X2GO_XSESSION.
 .
   [ Orion Poplawski ]
   * New upstream version (4.0.1.20):
     - x2goserver/bin/x2golistdesktops: drop -u parameter to ss. Fixes: #799.
       We would filter out UDP sockets later anyway and the combination -lxu is
       known to be broken with some versions of iproute2.


Marked Bug as done Request was from X2Go Release Manager <git-admin@x2go.org> to control@bugs.x2go.org. (Sun, 20 Nov 2016 16:50:03 GMT) (full text, mbox, link).


Notification sent to Shaheed Haque <srhaque@theiet.org>:
Bug acknowledged by developer. (Sun, 20 Nov 2016 16:50:03 GMT) (full text, mbox, link).


Message sent on to Shaheed Haque <srhaque@theiet.org>:
Bug#903. (Sun, 20 Nov 2016 16:50:03 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Mon, 19 Dec 2016 06:24:01 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Fri Jul 19 18:01:03 2024; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.